com.apple.foundationdb.directory

## Class DirectoryAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.apple.foundationdb.directory.DirectoryException
        - - com.apple.foundationdb.directory.DirectoryAlreadyExistsException

All Implemented Interfaces:
  java.io.Serializable

    public class DirectoryAlreadyExistsException
    extends DirectoryException

A `DirectoryException` that is thrown when a directory is being created at or moved to a location that already has a directory present.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.apple.foundationdb.directory.DirectoryException

`path`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`